STOFFTextListenerInternal::TextState Struct Reference documentation

STOFFTextListenerInternal::TextState Struct Reference

a class to store the document state of a STOFFTextListener More...

## Public Member Functions
| TextState (std::vector< STOFFPageSpan > const &pageList)
| constructor
| ~TextState ()
| destructor

## Public Attributes
std::vector< STOFFPageSpan > | m_pageList
| the pages definition
STOFFPageSpan | m_pageSpan
| the current page span
librevenge::RVNGPropertyList | m_metaData
| the document meta data
int | m_footNoteNumber
| footnote number
int | m_endNoteNumber
| endnote number
int | m_smallPictureNumber
| number of small picture
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isHeaderFooterOpened
| a flag to know if the header footer is started
bool | m_isHeaderFooterRegionOpened
| a flag to know if the header footer region is started
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::vector< STOFFSubDocumentPtr > | m_subDocuments
std::set< librevenge::RVNGString > | m_definedFontStyleSet
| list of document actually open
std::set< librevenge::RVNGString > | m_definedGraphicStyleSet
| the set of defined graphic style
std::set< librevenge::RVNGString > | m_definedParagraphStyleSet
| the set of defined paragraph style

## Private Member Functions
| TextState (const TextState &)
TextState & | operator= (const TextState &)

## Detailed Description

a class to store the document state of a STOFFTextListener

## Constructor & Destructor Documentation

## ◆ TextState() [1/2]

STOFFTextListenerInternal::TextState::TextState | ( | std::vector< STOFFPageSpan > const & | pageList | ) |
| inlineexplicit

constructor

Referenced by operator=(), and TextState().

## ◆ ~TextState()

STOFFTextListenerInternal::TextState::~TextState | ( |  | ) |
| inline

destructor

## ◆ TextState() [2/2]

STOFFTextListenerInternal::TextState::TextState | ( | const TextState & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

TextState & STOFFTextListenerInternal::TextState::operator= | ( | const TextState & |  | ) |
| private

## Member Data Documentation

## ◆ m_definedFontStyleSet

std::set<librevenge::RVNGString> STOFFTextListenerInternal::TextState::m_definedFontStyleSet

list of document actually open

the set of defined font style

Referenced by TextState().

## ◆ m_definedGraphicStyleSet

std::set<librevenge::RVNGString> STOFFTextListenerInternal::TextState::m_definedGraphicStyleSet

the set of defined graphic style

Referenced by TextState().

## ◆ m_definedParagraphStyleSet

std::set<librevenge::RVNGString> STOFFTextListenerInternal::TextState::m_definedParagraphStyleSet

the set of defined paragraph style

Referenced by TextState().

## ◆ m_endNoteNumber

int STOFFTextListenerInternal::TextState::m_endNoteNumber

endnote number

Referenced by TextState().

## ◆ m_footNoteNumber

int STOFFTextListenerInternal::TextState::m_footNoteNumber

footnote number

Referenced by TextState().

## ◆ m_isDocumentStarted

bool STOFFTextListenerInternal::TextState::m_isDocumentStarted

a flag to know if the document is open

Referenced by TextState().

## ◆ m_isHeaderFooterOpened

bool STOFFTextListenerInternal::TextState::m_isHeaderFooterOpened

a flag to know if the header footer is started

Referenced by TextState().

## ◆ m_isHeaderFooterRegionOpened

bool STOFFTextListenerInternal::TextState::m_isHeaderFooterRegionOpened

a flag to know if the header footer region is started

Referenced by TextState().

## ◆ m_metaData

librevenge::RVNGPropertyList STOFFTextListenerInternal::TextState::m_metaData

the document meta data

Referenced by TextState().

## ◆ m_pageList

std::vector<STOFFPageSpan> STOFFTextListenerInternal::TextState::m_pageList

the pages definition

Referenced by TextState().

## ◆ m_pageSpan

STOFFPageSpan STOFFTextListenerInternal::TextState::m_pageSpan

the current page span

Referenced by TextState().

## ◆ m_sentListMarkers

std::vector<int> STOFFTextListenerInternal::TextState::m_sentListMarkers

the list of marker corresponding to sent list

Referenced by TextState().

## ◆ m_smallPictureNumber

int STOFFTextListenerInternal::TextState::m_smallPictureNumber

number of small picture

Referenced by TextState().

## ◆ m_subDocuments

std::vector<STOFFSubDocumentPtr> STOFFTextListenerInternal::TextState::m_subDocuments

Referenced by TextState().

The documentation for this struct was generated from the following file:

- STOFFTextListener.cxx